# Created by pyp2rpm-3.3.1
%global pypi_name pafy

Name:           python-%{pypi_name}
Version:        0.5.5
Release:        %mkrel 2
Summary:        Python library to download YouTube content and retrieve metadata
Group:          Development/Python
License:        GPLv2
URL:            http://np1.github.io/pafy/
Source0:        https://github.com/mps-youtube/pafy/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(youtube-dl)

%description
Features
- Retreive metadata such as viewcount, duration, rating, author, thumbnail,
  keywords
- Download video or audio at requested resolution / bitrate / format /
  filesize
- Command line tool (ytdl) for downloading directly from the command line
- Retrieve the URL to stream the video in a player such as vlc or mplayer
- Works with age-restricted videos and non-embeddable videos
- Small, standalone, single importable module file (pafy.py)
- Select highest quality stream for download or streaming
- Download video only (no audio) in m4v or webm format
- Download audio only (no video) in ogg or m4a format
- Retreive playlists and playlist metadata
- Works with Python 2.6+ and 3.3+
- Optionally depends on youtube-dl (recommended; more stable)

%package -n     %{pypi_name}-ytdl
Summary:        A Youtube downloader
Group:          Development/Python
BuildArch:      noarch

%description -n %{pypi_name}-ytdl
Command line tool (ytdl) for downloading directly from the command line

%package -n     python3-%{pypi_name}
Summary:        Python 3 library to download YouTube content and retrieve metadata
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Features
- Retreive metadata such as viewcount, duration, rating, author, thumbnail,
  keywords
  - Download video or audio at requested resolution / bitrate / format /
    filesize
    - Command line tool (ytdl) for downloading directly from the command line
    - Retrieve the URL to stream the video in a player such as vlc or mplayer
    - Works with age-restricted videos and non-embeddable videos
    - Small, standalone, single importable module file (pafy.py)
    - Select highest quality stream for download or streaming
    - Download video only (no audio) in m4v or webm format
    - Download audio only (no video) in ogg or m4a format
    - Retreive playlists and playlist metadata
    - Works with Python 2.6+ and 3.3+
    - Optionally depends on youtube-dl (recommended; more stable)

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n %{pypi_name}-ytdl
%doc README.rst
%{_bindir}/ytdl

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.5.5-2.mga8
+ Revision: 1540924
- Mageia 8 Mass Rebuild

* Tue Dec 17 2019 kekepower <kekepower> 0.5.5-1.mga8
+ Revision: 1468662
- Update to version 0.5.5

* Sun Sep 22 2019 daviddavid <daviddavid> 0.5.4-4.mga8
+ Revision: 1444619
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.5.4-3.mga7
+ Revision: 1350787
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.4-2.mga7
+ Revision: 1289509
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 kekepower <kekepower> 0.5.4-1.mga7
+ Revision: 1215551
- imported package python-pafy

